> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.milenow.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.milenow.com/_mcp/server.

# Create Warehouse Inbound Order via API

POST https://lastmile.milenow.com/index.php/api/v1/partners/inbound/create

Reference: https://docs.milenow.com/api-reference/warehouse-inbound-orders/post-app-apiv-1-trackingapi-createwarehouseinboundorder

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Query parameters

- `access_token` (string, optional) — Access Token (Required)
- `receiver_name` (string, optional) — Receiver Name (Required)
- `receiver_contact` (string, optional) — Receiver Phone (Required)
- `receiver_address` (string, optional) — Receiver Address (Required)
- `debtor_merchant_id` (string, optional) — Merchant External ID (Optional)
- `debtor_merchant_name` (string, optional) — Merchant Name (Optional)
- `vendor_ref_id` (string, optional) — Vendor Reference ID (Optional)
- `vendor_name` (string, optional) — Vendor Name (Optional)
- `warehouse_name` (string, optional) — Warehouse Name (Required)
- `loading_date` (date, optional) — Loading Date (Required) Format: YYYY-MM-DD
- `rdd` (date, optional) — Required Delivery Date (Required) Format: YYYY-MM-DD
- `brand_name` (string, optional) — Brand Name (Optional)
- `itinerary` (string, optional) — Route/Itinerary (Optional)
- `transport_no` (string, optional) — Transport Number (Optional)
- `container_code` (string, optional) — Container Code (Optional)
- `agent_code` (string, optional) — Agent Code (Optional)
- `agent_name` (string, optional) — Agent Name (Optional)
- `notes` (string, optional) — Order Notes (Optional)
- `order_code` (string, optional) — Order Code (Optional)
- `reference_no` (string, optional) — Reference Number (Optional)
- `destination_no` (string, optional) — Destination Number (Optional)
- `product_items` (string, optional) — Product Items in JSON format. Required format: \[\{"item\_id":"733255","description":"Product Name","quantity":60,"volume":0,"net\_weight":0,"gross\_weight":0}]

## Response

### 200

Returns warehouse order object with order_id, order_number, warehouse, receiver, items

## Examples

**Response**

```json
{}
```

**SDK Code**

```python
import requests

url = "https://lastmile.milenow.com/index.php/api/v1/partners/inbound/create"

headers = {"Authorization": "Bearer <token>"}

response = requests.post(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://lastmile.milenow.com/index.php/api/v1/partners/inbound/create';
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://lastmile.milenow.com/index.php/api/v1/partners/inbound/create"

	req, _ := http.NewRequest("POST", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://lastmile.milenow.com/index.php/api/v1/partners/inbound/create")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://lastmile.milenow.com/index.php/api/v1/partners/inbound/create")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://lastmile.milenow.com/index.php/api/v1/partners/inbound/create', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://lastmile.milenow.com/index.php/api/v1/partners/inbound/create");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://lastmile.milenow.com/index.php/api/v1/partners/inbound/create")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```